Bug 1002958 - Update functions who call nmcli
Update functions who call nmcli
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: initscripts (Show other bugs)
7.0
Unspecified Unspecified
urgent Severity urgent
: pre-dev-freeze
: ---
Assigned To: initscripts Maintenance Team
Jan Ščotka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 07:07 EDT by Jiri Pirko
Modified: 2016-11-25 08:00 EST (History)
5 users (show)

See Also:
Fixed In Version: initscripts-9.49.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:44:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2013-08-30 07:07:43 EDT
Currently, is_nm_running is calling "nmcli -t --fields running nm status". That is no longer accepted by current nmcli. is_nm_running function should use "nmcli -t --fields running g" instead.

This bug prevents ifup and ifdown from working with NM.
Comment 1 Jiri Pirko 2013-08-30 08:01:01 EDT
Also, please update is_nm_device_unmanaged() function. "nmcli -t --fields GENERAL dev list iface "${1}" does not work anymore either.
Comment 4 Ludek Smid 2014-06-13 08:44:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.